
class droneci::config (

    $server_port = $droneci::server_port,

    $ssl_key = $droneci::ssl_key,
    $ssl_cert = $droneci::ssl_cert,

    $db_driver = $droneci::db_driver,
    $db_datasource = $droneci::db_datasource,

    $github_client = $droneci::github_client,
    $github_secret = $droneci::github_secret,
    $github_orgs = $droneci::github_orgs,
    $github_open = $droneci::github_open,

    $github_ent_client = $droneci::github_ent_client,
    $github_ent_secret = $droneci::github_ent_secret,
    $github_ent_api = $droneci::github_ent_api,
    $github_ent_url = $droneci::github_ent_url,
    $github_ent_orgs = $droneci::github_ent_orgs,
    $github_ent_open = $droneci::github_ent_open,
    $github_ent_private_mode = $droneci::github_ent_private_mode,

    $bitbucket_client = $droneci::bitbucket_client,
    $bitbucket_secret = $droneci::bitbucket_secret,
    $bitbucket_open = $droneci::bitbucket_open,

    $gitlab_url = $droneci::gitlab_url,
    $gitlab_client = $droneci::gitlab_client,
    $gitlab_secret = $droneci::gitlab_secret,
    $gitlab_skip_verify = $droneci::gitlab_skip_verify,
    $gitlab_open = $droneci::gitlab_open,

    $gogs_url = $droneci::gogs_url,
    $gogs_secret = $droneci::gogs_secret,
    $gogs_open = $droneci::gogs_open,

    $smtp_host = $droneci::smtp_host,
    $smtp_port = $droneci::smtp_port,
    $smtp_from = $droneci::smtp_from,
    $smtp_user = $droneci::smtp_user,
    $smtp_pass = $droneci::smtp_pass,

    $docker_cert = $droneci::docker_cert,
    $docker_key = $droneci::docker_key,

    $worker_nodes = $droneci::worker_nodes,

){

  file {'/etc/drone/drone.toml':
    ensure  => file,
    mode    => '0644',
    content => template('droneci/drone.toml.erb'),
    notify  => Service['drone'],
  }

}
